
#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"
#include "stones.inc"
#include "metals.inc"
#include "glass.inc"
#include "woods.inc"

light_source {
   <-8,2,-10>
   color White
   area_light <1, 0, 0>, <0, 1, 0>, 2, 2
   adaptive 1
   jitter
}

light_source {
   <-2,2,-5>
   color White
   adaptive 1
   jitter
}

background {
   color red 0 green 0 blue 0
}

camera {
     location <0,0,-10>
//    location <0,40,0>
   direction <0, 0, 1>          // Which way we are looking <X Y Z>
   up <0, 1, 0>                 // Which direction is   +up <X Y X>
   right <4/3, 0, 0>            // Which way is      +right <X Y Z>
   look_at <0, 0, 0>  // Point camera at this point(center of view)
}

#declare left_leg =
union {
   cylinder { <0,-1,0> <-.8,-2.5,0> .4 }
   sphere { <-.8,-2.5,0> .4 }
   cylinder { <-1.2,-2.5,0> <-.8,-2.5,0> .4 }
   pigment { Blue }
   finish { Shiny }
}

#declare right_leg =
union {
   cylinder { <0,-1,0> <.8,-2.5,0> .4 }
   sphere { <.8,-2.5,0> .4 }
   cylinder { <1.2,-2.5,0> <.8,-2.5,0> .4 }
   pigment { Blue }
   finish { Shiny }
}

#declare body =
union {
   cylinder { <0,2,0> <0,-1,0> 1 }
   sphere { <0,-1,0> 1 }
   pigment { Blue }
   finish { Shiny }
}

#declare left_arm =
union {
   cylinder { < 0,0,0> <-1.5,0,0> .4 }
   sphere { <-1.5,0,0> .4 }
   cylinder { <-1.5,0,0> <-1.5,-.5,0> .4 }
   pigment { Blue }
   finish { Shiny }
}

#declare right_arm =
union {
   cylinder { < 0,0,0> <1.5,0,0> .4 }
   sphere { <1.5,0,0> .4 }
   cylinder { <1.5,0,0> <1.5,-.5,0> .4 }
   pigment { Blue }
   finish { Shiny }
}

#declare head =
union {
   sphere { <0,3,0> 2 }
   cylinder { <0,3.1,0> <0,3.4,0> 3}
   cylinder { <0,3.4,0> <0,5,0> 2 }
   pigment { Blue}
   finish { Shiny }
}

#declare stand = union {
   box { <-.2,-4,-.2> <.2,6.58,.2> 
      texture { T_Wood7 scale 2 
         rotate <0,90,90>
      }
   }
   box { <-.2,6.6,-.2> <5.5,7,.2>
      texture { T_Wood7 scale 2 }
   }
   intersection {
      box { <.2,3,-.2> <7,3.4,.2> 
         texture {T_Wood7 scale 2
	    rotate <90,0,90>
         }
         rotate <0,0,40> 
         translate <-.2,0,0>
      }
      box { <.25,2,-.3> <4,6.58,.3> }
   }
}

#declare noose =
union {

}

union {
//   object { left_leg }
//   object { right_leg }
//   object { body }
//   object { left_arm }
//   object { right_arm }
//   object { head }
   object { stand translate <-4,0,0>}
   rotate <0,0,90>
   translate <1,0,0>
}
